=== debian/control ===
Source: ros-kinetic-open-manipulator-p-control-gui
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libqt5core5a, libqt5gui5, qt5-qmake, qtbase5-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-open-manipulator-msgs, ros-kinetic-robotis-manipulator, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: http://wiki.ros.org/open_manipulator_p_control_gui
Standards-Version: 3.9.2

Package: ros-kinetic-open-manipulator-p-control-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libqt5core5a, libqt5gui5, qt5-qmake, qtbase5-dev, ros-kinetic-cmake-modules, ros-kinetic-open-manipulator-msgs, ros-kinetic-robotis-manipulator, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: Package for OpenMANIPULATOR-P Control GUI
